Package: io.vertx.groovy.ext.shell.io

## [Groovy] Class Tty

- io.vertx.groovy.ext.shell.io.Tty

- Provide interactions with the Shell TTY.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Tty (Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Tty` | `eventHandler(EventType eventType, Handler<Void> handler)` Set an event handler to be notified by Shell events.
    `Object` | `getDelegate()`
    `int` | `height()` @return Returns: the current height, i.e the number of columns or if unknown
    `Tty` | `setStdin(Stream stdin)` Set a stream on the standard input to read the data.
    `Tty` | `setStdin(Handler<String> stdin)` Set an handler the standard input to read the data in String format.
    `Stream` | `stdout()` @return Returns: the standard output for emitting data
    `int` | `width()` @return Returns: the current width, i.e the number of rows or if unknown

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### Tty(Object delegate)

  - ### Method Detail

    - #### Tty eventHandler(EventType eventType, Handler<Void> handler)

      Set an event handler to be notified by Shell events.

      Returns:
      Parameters:
        `eventType` - the event type
        handler

    - #### Object getDelegate()

    - #### int height()

      Returns:
        the current height, i.e the number of columns or if unknown

    - #### Tty setStdin(Stream stdin)

      Set a stream on the standard input to read the data.

      Returns:
        this object
      Parameters:
        `stdin` - the standard input

    - #### Tty setStdin(Handler<String> stdin)

      Set an handler the standard input to read the data in String format.

      Returns:
        this object
      Parameters:
        `stdin` - the standard input

    - #### Stream stdout()

      Returns:
        the standard output for emitting data

    - #### int width()

      Returns:
        the current width, i.e the number of rows or if unknown